Welcome to yEd Q&A!
Here you can ask questions and receive answers from other members of the community and yEd developers. And you can tell us your most wanted feature requests.

Categories

Cannot start yEd because of java.lang.IllegalArgumentException: Window must not be zero

0 votes
When trying to run yEd on Linux, I get the error message
java.lang.IllegalArgumentException: Window must not be zero
How can I solve this problem?
in Help by (3.3k points)

1 Answer

0 votes

This problems seems to occur for Linux systems with three or more displays when running yEd on Java 9, Java 10, or Java 11.

Possible solutions seem to be:

  1. Disconnect all but two displays.
  2. Run yEd on Java 8 instead of Java 10. A yEd installer with embedded Java 8 runtime environment is available from the yEd download site for this purpose.
by [yWorks] (128k points)
edited by
Legal Disclosure | Privacy Policy
...